summaryrefslogtreecommitdiffstats
path: root/.scripts/i3cmds/torwrap
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-01-26 18:13:36 -0500
committerLuke Smith <luke@lukesmith.xyz>2019-01-26 18:13:36 -0500
commit9ddf765a03fae63892644d11bb48112daeaf528a (patch)
treec3ce79a2813493f3b3cc018fa6a81ea4152ffe32 /.scripts/i3cmds/torwrap
parent151e47c6295f2060e5cf18253cbfae24e74359bf (diff)
downloadeibhear-9ddf765a03fae63892644d11bb48112daeaf528a.tar.gz
eibhear-9ddf765a03fae63892644d11bb48112daeaf528a.tar.zst
eibhear-9ddf765a03fae63892644d11bb48112daeaf528a.zip
torrent wrap and other changes
Diffstat (limited to '.scripts/i3cmds/torwrap')
-rwxr-xr-x.scripts/i3cmds/torwrap6
1 files changed, 6 insertions, 0 deletions
diff --git a/.scripts/i3cmds/torwrap b/.scripts/i3cmds/torwrap
new file mode 100755
index 0000000..6b501cc
--- /dev/null
+++ b/.scripts/i3cmds/torwrap
@@ -0,0 +1,6 @@
+#!/bin/sh
+ifinstalled transmission-remote-cli transmission-cli || exit
+
+! pgrep -x transmission-da >/dev/null && transmission-daemon && notify-send -i "$PIX/torrent.svg" "Starting torrent daemon..." && sleep 3 && pkill -RTMIN+7 i3blocks
+
+$TERMINAL -e transmission-remote-cli